Expand my Community achievements bar.

Applications for the 2024-2025 Adobe Experience Manager Champion Program are open!

Stable Archetype for AEM SPA React Project

Avatar

Level 3

Trying to create project structure for AEM SPA React and the build was success, but faced issues while  creating REACT API calls using useEffect in ui.frontend while building it is throwing error like
eslint-react-hooks not unable to find package. We used archetype 35. 

Any suggestions we can overcome this issue ? Will it be due to use of unstable archetype ? 

2 Replies

Avatar

Community Advisor

@akashkriz005 can you cross check your nodejs and npm version mentioned in archetype pom.xml vs what's in your system? It often happens if your system has different nodes or npm versions than archetype or if some of the modules or it'd dependencies mention in frontend app module got changed or deprecated.. 

 

As a best practice try to use latest archetype

Avatar

Level 3

Hi @Shashi_Mulugu ,

We tried to match the node and npm version that we have with the pom file , but facing issues again for UI Frontend. As mentioned before we used the archetype 35. 

akashkriz005_0-1676798111870.pngakashkriz005_1-1676798209020.png

 

Is there any stable version of node and npm we can try it out so as to match with archetype 35 ?